#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "ofAddons.h"
#include "of1394VideoGrabber.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		bool d;
		of1394VideoGrabber 	vidGrabber;
		ofTexture			videoTexture;
		int 				camWidth;
		int 				camHeight;
	
		unsigned char * pixels;
	
		bool f;
};

#endif	
